Delete a company

DELETE https://api.expirationreminder.com/v1/companies/{id}

Path Parameters

id string Required
DELETE /v1/companies/{id}
$ curl https://api.expirationreminder.com/v1/companies/{id} \
  -H "Authorization: Bearer <token>"

Responses

Property Type Description
id string (uuid) -
name string -
doing_business_as string -
phone string -
website string -
address_line_1 string -
address_line_2 string -
city string -
province string -
postal_code string -
country_id string (uuid) -
tax_id string -
tax_type_id integer (int32) -
type_id string (uuid) -
primary_contact_id string (uuid) -
assigned_to UserModel -
team_id string (uuid) -
is_archived boolean -
modified string -
custom_fields CustomFieldModel[] -

Example Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "doing_business_as": "string",
  "phone": "string",
  "website": "string",
  "address_line_1": "string",
  "address_line_2": "string",
  "city": "string",
  "province": "string",
  "postal_code": "string",
  "country_id": "00000000-0000-0000-0000-000000000000",
  "tax_id": "string",
  "tax_type_id": 0,
  "type_id": "00000000-0000-0000-0000-000000000000",
  "primary_contact_id": "00000000-0000-0000-0000-000000000000",
  "assigned_to": {
    "name": "string",
    "email": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "team_id": "00000000-0000-0000-0000-000000000000"
  },
  "team_id": "00000000-0000-0000-0000-000000000000",
  "is_archived": false,
  "modified": "string",
  "custom_fields": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "value": "string"
  }
  ]
}

Not Found

Property Type Description
message string -
ok boolean -

Example Response

{
  "message": "string",
  "ok": false
}
An unhandled error has occurred. Reload 🗙

Rejoining the server...

Rejoin failed... trying again in seconds.

Failed to rejoin.
Please retry or reload the page.

The session has been paused by the server.

Failed to resume the session.
Please retry or reload the page.